D4Science D4Science Don't have a D4Science account? Create one Could not find what you are looking for? Contact us.

WorkspaceManager Resource

GET

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
exclude query yes
relPath query no
Response Body
media type data type description
application/json ItemWrapperOfItem (JSON)

Example

Request
GET 
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "item" : {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "CREATED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }
}
                
              

GET /count

This method has been deprecated.

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
exclude query yes
Response Body
media type data type description
application/json string (JSON)

Example

Request
GET /count
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

GET /shared-with-me

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
exclude query yes
Response Body
media type data type description
application/json ItemList (JSON)

Example

Request
GET /shared-with-me
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "CREATED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }, {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "CREATED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  } ]
}
                
              

GET /size

This method has been deprecated.

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
exclude query yes
Response Body
media type data type description
application/json string (JSON)

Example

Request
GET /size
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

GET /trash

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
exclude query yes
Response Body
media type data type description
application/json ItemWrapperOfItem (JSON)

Example

Request
GET /trash
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "item" : {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "CREATED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }
}
                
              

POST /volatile

Uploads a file in the volatile area returning a public link

Request Parameters
name type description multivalued
fileDetail formdata no
stream formdata no
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
exclude query yes
Request Body
media type data type
multipart/form-data (custom)
Response Body
media type data type description
application/json string (JSON)

Example

Request
POST /volatile
Content-Type: multipart/form-data
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
...
                
              

GET /vrefolder

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
exclude query yes
Response Body
media type data type description
application/json ItemWrapperOfItem (JSON)

Example

Request
GET /vrefolder
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "item" : {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "CLONED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }
}
                
              

GET /vrefolders

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
exclude query yes
Response Body
media type data type description
application/json ItemList (JSON)

Example

Request
GET /vrefolders
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "MOVED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }, {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "CLONED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  } ]
}
                
              

DELETE /trash/empty

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
exclude query yes
Response Body
media type data type description
application/json string (JSON)

Example

Request
DELETE /trash/empty
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

PUT /trash/restore

Request Parameters
name type description multivalued
destinationId form no
trashedItemId form no
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
exclude query yes
Request Body
media type data type
application/x-www-form-urlencoded (custom)
Response Body
media type data type description
application/json string (JSON)

Example

Request
PUT /trash/restore
Content-Type: application/x-www-form-urlencoded
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

GET /vrefolder/recents

Request Parameters
name type description multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources no
exclude query yes
Response Body
media type data type description
application/json ItemList (JSON)

Example

Request
GET /vrefolder/recents
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "UPDATED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }, {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "CREATED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  } ]
}
                
              

GET /vrefolders/paged

Request Parameters
name type description constraints multivalued
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources   no
exclude query   yes
limit query int no
start query int no
Response Body
media type data type description
application/json ItemList (JSON)

Example

Request
GET /vrefolders/paged
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "MOVED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  }, {
    "lastModificationTime" : 12345,
    "externalManaged" : true,
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "owner" : "...",
    "lastAction" : "UPDATED",
    "locked" : true,
    "publicItem" : true,
    "trashed" : true,
    "creationTime" : 12345,
    "description" : "...",
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "hidden" : true,
    "lastModifiedBy" : "...",
    "shared" : true,
    "title" : "...",
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "parentPath" : "...",
    "path" : "...",
    "primaryType" : "...",
    "name" : "...",
    "relatedNode" : { },
    "parentId" : "...",
    "id" : "..."
  } ]
}